LIBKECCAK_STATE_WIPE_MESSAGE(3)

NAME
libkeccak_state_wipe_message - Securely erase the message chunk buffer

SYNOPSIS
#include <libkeccak.h>
void libkeccak_state_wipe_message(struct libkeccak_state *state);

Link with -lkeccak.

DESCRIPTION
The libkeccak_state_wipe_message() function securely erases the message chunk buffer.

RETURN VALUES
The libkeccak_state_wipe_message() function does not return any value.

ERRORS
The libkeccak_state_wipe_message() function cannot fail.

SEE ALSO
libkeccak_state_wipe_sponge(3), libkeccak_state_wipe(3), libkeccak_state_fast_destroy(3), libkeccak_state_destroy(3), libkeccak_state_reset(3)